LIBRARY IEEE ;
USE IEEE.STD_LOGIC_1164.ALL ;

ENTITY snort_app IS
  PORT (   
    clk                 : IN STD_LOGIC ;
    reset_l             : IN STD_LOGIC ;
    
    -- from wrapper ingress (pre-module)
    D_OUT_APPL          : IN STD_LOGIC_VECTOR(31 downto 0) ;
    DataEn_OUT_APPL     : IN STD_LOGIC ;
    SOF_OUT_APPL        : IN STD_LOGIC ;
    SOIP_OUT_APPL       : IN STD_LOGIC ;
    EOF_OUT_APPL        : IN STD_LOGIC ;
    SOP_OUT_APPL        : IN STD_LOGIC ;
    TCA_OUT_APPL        : OUT STD_LOGIC ;
    
    -- to wrapper egress (post-module)
    D_APPL_IN           : OUT STD_LOGIC_VECTOR(31 downto 0) ;
    DataEn_APPL_IN      : OUT STD_LOGIC ;
    SOF_APPL_IN         : OUT STD_LOGIC ;
    SOIP_APPL_IN        : OUT STD_LOGIC ;
    EOF_APPL_IN         : OUT STD_LOGIC ;
    SOP_APPL_IN         : OUT STD_LOGIC ;
    TCA_APPL_IN         : IN STD_LOGIC  ;
    
    -- To SRAM Device 0
    mod1_req                  : OUT STD_LOGIC;
    mod1_gr                   : IN STD_LOGIC;
    mod1_rw                   : OUT STD_LOGIC;
    mod1_addr                 : OUT STD_LOGIC_VECTOR(18 DOWNTO 0);
    mod1_d_in                 : IN STD_LOGIC_VECTOR(35 DOWNTO 0);
    mod1_d_out                : OUT STD_LOGIC_VECTOR(35 DOWNTO 0)
    
    );   
END snort_app ;

ARCHITECTURE sa OF snort_app IS

-------------------------------------------------------------------------------
-- Component Declarations 
-------------------------------------------------------------------------------


END sa ;






